import 'package:flutter/material.dart';
import 'package:hub/features/storage/index.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';
import 'package:hub/pages/residents_on_the_property/residents_on_the_property_screen.dart';

class ResidentsOnThePropertyModel
    extends FlutterFlowModel<ResidentsOnTheProperty> {
  ResidentsOnThePropertyModel({this.onRefresh});
  late final VoidCallback? onRefresh;

  final unfocusNode = FocusNode();
  late final String devUUID;
  late final String cliUUID;

  @override
  void initState(BuildContext context) {
    initVariables();
  }

  void initVariables() async {
    devUUID = (await StorageHelper().get(ProfileStorageKey.devUUID.key)) ?? '';
    cliUUID =
        (await StorageHelper().get(ProfileStorageKey.clientUUID.key)) ?? '';
    onRefresh?.call();
  }

  @override
  void dispose() {
    unfocusNode.dispose();
  }
}
